Club700XX - Honda TRX700XX Forum - Reply to Topic
Thread: 91 Octane Required? Reply to Thread
Title:
Message:
Trackback:
Send Trackbacks to (Separate multiple URLs with spaces) :
Post Icons
You may choose an icon for your message from the following list:
 
 
 

Register Now



In order to be able to post messages on the Club700XX - Honda TRX700XX Forum forums, you must first register.
Please enter your desired user name, your email address and other required details in the form below.

User Name:
Password
Please enter a password for your user account. Note that passwords are case-sensitive.

Password:


Confirm Password:
Email Address
Please enter a valid email address for yourself.

Email Address:
OR

Log-in










  Additional Options
Miscellaneous Options

  Topic Review (Newest First)
04-25-2015 12:02 PM
roadkill A higher octane fuel IS required for motors with higher compression ratios. Our stock compression is just high enough to need the higher octane fuel. Low octane fuel has a tendency to pre-detonate at high compression. (octane knock) A higher octane fuel has a more stable octane/heptane ratio. Octane knock = less power even if you can't notice the knock.

roadkill
04-23-2015 05:48 AM
M_Quick I usually run 93 mine. Only a handful of times I've used the low octane. When borrowing fuel, and when topping off on long rides in West Virginia. The stations there only sale one grade of fuel. My XX has a label on the tank, that says recommends premium fuel. So it's probably not nessasary, untill you start modding the motor.
04-23-2015 12:11 AM
TheZombieAK
91 Octane Required?

I see in the owners manual that the XX calls for 91 octane fuel, I'm wondering is it is required?
Honda says its recommended so just wondering if everyone else is running it or not. Not that much more than regular

Posting Rules  
You may post new threads
You may post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

 
For the best viewing experience please update your browser to Google Chrome